//  Moved to HLSL and 3d-Overlay for Intro Maniac by Epyx
// Attention, dont load a Background Picture to see a effect


float4x4 worldViewProjI; float postfx;
uniform float time;
uniform float2 resolution = float2(800 , 600) ; // Screensize;
float4 clear = float4(0.0f, 0.0f, 0.0f, 0.0f);
texture texture0;  sampler postTex = sampler_state   {  texture = (texture0);    };





float4 main(float2 gl_FragCoord: TEXCOORD0, float4 gl_FragColor: COLOR ) : COLOR {
               float4 color4  = tex2D(postTex ,   float2( gl_FragCoord.x,  gl_FragCoord.y  )); // original sichern
               gl_FragCoord.y = 1 - gl_FragCoord.y; gl_FragCoord = gl_FragCoord * resolution;
	float2 cPos = -1.0 + 2.0 * gl_FragCoord.xy / resolution.xy;
	float cLength = length(cPos);
	
	float2 uv =  gl_FragCoord.xy / resolution.xy + ( cPos / cLength ) * cos( cLength * 20. - time * 4.0 ) * 0.05;
	float2 col =  uv;

	float4 color = float4( col, .3, 1.0 );

               if (color4.r   == clear.r  )  {  gl_FragColor.r  = color .r;   } else { gl_FragColor.r = color4.r;  }
               if (color4.g  == clear.g )  {  gl_FragColor.g = color .g;  } else { gl_FragColor.g = color4.g; }
               if (color4.b  == clear.b )  {  gl_FragColor.b = color .b;  } else { gl_FragColor.b = color4.b; }
       
return gl_FragColor;	  }


// Vertex Shader
struct VS_INPUT
{  float3 position	: POSITION;
    float2 texture0     : TEXCOORD0;  };

struct VS_OUTPUT
{   float4 hposition : POSITION;
     float2 texture0  : TEXCOORD0;   };



VS_OUTPUT myvs( VS_INPUT IN )
{  VS_OUTPUT OUT;
    OUT.hposition = float4(IN.position.x ,IN.position.y ,IN.position.z, 1);
    OUT.texture0 = IN.texture0;
    return OUT;   }


// ---------------------------------------------
technique Start
{ pass p1  
    {  VertexShader = compile vs_2_0 myvs();
        PixelShader = compile ps_2_0 main();
}   }



