// PS 3.0 version Monjori
//  3d-Overlay for Intro Maniac by Epyx
// Attention, dont load a Background Picture to see a effect
uniform float time;
float4 clear = float4(0.0f, 0.0f, 0.0f, 0.0f);
texture texture0;   sampler postTex = sampler_state  {  texture = (texture0);    };


float4 MyShader (float2 Tex : TEXCOORD) : COLOR
{   float4 color4  = tex2D(postTex ,   float2( Tex.x,  Tex.y  )); // original sichern
    float4 gl_FragColor = float4(0.0f, 0.0f, 0.0f, 0.0f);
    float2 p = -1.0 + 2.0 * Tex.xy ;
    float a = time*40.0;
    float d,e,f,g=1.0/40.0,h,i,r,q;
    e=400.0*(p.x*0.5+0.5);
    f=400.0*(p.y*0.5+0.5);
    i=200.0+sin(e*g+a/150.0)*20.0;
    d=200.0+cos(f*g/2.0)*18.0+cos(e*g)*7.0;
    r=sqrt(pow(i-e,2.0)+pow(d-f,2.0));
    q=f/r;
    e=(r*cos(q))-a/2.0;f=(r*sin(q))-a/2.0;
    d=sin(e*g)*176.0+sin(e*g)*164.0+r;
    h=((f+d)+a/2.0)*g;
    i=cos(h+r*p.x/1.3)*(e+e+a)+cos(q*g*6.0)*(r+h/3.0);
    h=sin(f*g)*144.0-sin(e*g)*212.0*p.x;
    h=(h+(f-e)*q+sin(r-(a+h)/7.0)*10.0+i/4.0)*g;
    i+=cos(h*2.3*sin(a/350.0-q))*184.0*sin(q-(r*4.3+a/12.0)*g)+tan(r*g+h)*184.0*cos(r*g+h);
    i=fmod(i/5.6,256.0)/64.0;
    if(i<0.0) i+=4.0;
    if(i>=2.0) i=4.0-i;
    d=r/350.0;
    d+=sin(d*d*8.0)*0.52;
    f=(sin(a*g)+1.0)/2.0;
    float4 col =  float4(float3(f*i/1.6,i/2.0+d/13.0,i)*d*p.x+float3(i/1.3+d/8.0,i/2.0+d/18.0,i)*d*(1.0-p.x),1.0);
    if (color4.r   == clear.r  )  {  gl_FragColor.r  = col.r;   } else { gl_FragColor.r = color4.r;  }
    if (color4.g  == clear.g )  {  gl_FragColor.g = col.g;  } else { gl_FragColor.g = color4.g; }
    if (color4.b  == clear.b )  {  gl_FragColor.b = col.b;  } else { gl_FragColor.b = color4.b; }

 return gl_FragColor;   }

// ---------------------------------------------
// Vertex Shader

struct VS_INPUT
{   float3 position	: POSITION;
    float2 texture0     : TEXCOORD0;  };

struct VS_OUTPUT
{    float4 hposition : POSITION;
     float2 texture0  : TEXCOORD0;  };

VS_OUTPUT myvs( VS_INPUT IN )
{  VS_OUTPUT OUT;
    OUT.hposition = float4(IN.position.x ,IN.position.y ,IN.position.z, 1);
    OUT.texture0 = IN.texture0;
    return OUT;   }


// ---------------------------------------------

technique PostProcess
{  pass p1
    {  // Lighting = True;
       VertexShader = compile vs_3_0 myvs();
       PixelShader = compile ps_3_0 MyShader();
 }  }


