// PS 3.0 version Fly
// 3d-Overlay for Intro Maniac by Epyx
// Attention, dont load a Background Picture to see a effect
// Load a Texture to skin the screen

uniform float time;
float4 mouse = float4(0.1, 0.1, 0,0);
float Var1;
float Var2;
float4 clear = float4(0.0f, 0.0f, 0.0f, 0.0f);

texture texture2;
sampler postTex = sampler_state {  Texture = <texture2>;  };

texture texture0;
sampler OBJTex = sampler_state {  texture = (texture0);    };




float4 MyShader (float2 Tex : TEXCOORD,   float4 gl_FragColor: COLOR ) : COLOR {

float4 color4  = tex2D(OBJTex ,   float2(Tex.x,  Tex.y  )); // original sichern
float4 color = float4(0.0, 0.0, 0.0, 0.0);     

float2 p = -1.0 + 2.0 * Tex.xy ;
float2 uv;

float an = -time*(Var2-0.5);

float x = p.x*cos(an)-p.y*sin(an);
float y = p.x*sin(an)+p.y*cos(an);

uv.x = (Var1*10)*x/abs(y);
uv.y = (Var1*10)*time + (Var1*10)/abs(y);

color =  float4(tex2D(postTex,uv).xyz *y*y, 1.0);

if (color4.r   == clear.r  )  {  gl_FragColor.r  = color.r;    } else { gl_FragColor.r = color4.r; }
if (color4.g  == clear.g )  {  gl_FragColor.g = color.g;  } else { gl_FragColor.g = color4.g; }
if (color4.b  == clear.b )  {  gl_FragColor.b = color.b;  } else { gl_FragColor.b = color4.b; }

return gl_FragColor;

}

// ---------------------------------------------
// Vertex Shader

struct VS_INPUT
{
float3 position	: POSITION;
float2 texture2     : TEXCOORD0;
};

struct VS_OUTPUT
{
float4 hposition : POSITION;
float2 texture2  : TEXCOORD0;
};

VS_OUTPUT myvs( VS_INPUT IN )
{
VS_OUTPUT OUT;

OUT.hposition = float4(IN.position.x ,IN.position.y ,IN.position.z, 1);
OUT.texture2 = IN.texture2;
return OUT;
}
// ---------------------------------------------

technique PostProcess
{
pass p1
{
// Lighting = True;
VertexShader = compile vs_2_0 myvs();
PixelShader = compile ps_2_0 MyShader();
}

}
