uniform float time;
uniform float2 resolution = float2(1,1);


float4 main(float2 gl_FragCoord: TEXCOORD0, float4 gl_FragColor: COLOR ) : COLOR {

	float2 position = (gl_FragCoord.xy +sin(time/10000) * 1000.) *  4.1;
	
	float color = 0.0;
	color += sin(position.x - time + tan(position.y)) + sin(time*2);
	color -=  sin(position.y - tan(position.x) + time) + sin(time*2);

	gl_FragColor = float4( float3( color, color/2.0,  0 ), 1.0 );
            return gl_FragColor;
}

 
technique Start
{
    pass p1  
    {
        PixelShader = compile ps_2_0 main();
    }
}