float4x4 worldViewProjI; float postfx;
/* lame-ass tunnel by kusma */

#ifdef GL_ES
// precision mediump float;
#endif

uniform float time;
uniform float2 mouse;
uniform float2 resolution = float2(1,1);

float4 main(float2 gl_FragCoord: TEXCOORD0, float4 gl_FragColor: COLOR ) : COLOR {
	float2 position = (gl_FragCoord.xy - resolution * 0.5) / resolution.yy;
	float th = atan2(position.y, position.x) / (2.0 * 3.1415926) + 0.5;
	float dd = length(position);
	float d = 0.5235 / dd + time ;

	float3 uv = float3(th + d, th - d, th + tan(d) * 0.6);
	float a = 0.5 + cos(uv.x * 3.1415926 * 2.0) * 0.5;
	float b = 0.5 + cos(uv.y * 3.1415926 * 2.0) * 0.5;
	float c = 0.5 + cos(uv.z * 3.1415926 * 6.0) * 0.5;
	float3 color = lerp(float3(1.0, 0.8, 0.9), float3(0.1, 0.1, 0.2), pow(a, 0.2)) * 0.75;
	color += lerp(float3(0.8, 0.9, 1.0), float3(0.1, 0.1, 0.2),  pow(b, 0.5)) * 0.75;
	color -= lerp(float3(0.9, 0.8, 1.0), float3(0.1, 0.2, 0.2),  pow(c, 0.1)) * 1.75;
	gl_FragColor = float4(color * clamp(dd, 0.0, 2.0),2.0);
            return gl_FragColor;

}
// Vertex Shader
struct VS_INPUT
{
    float3 position	: POSITION;
    float2 texture0     : TEXCOORD0;
};

struct VS_OUTPUT
{
     float4 hposition : POSITION;
     float2 texture0  : TEXCOORD0;
};

VS_OUTPUT myvs( VS_INPUT IN )
{
    VS_OUTPUT OUT;
    if (postfx == 0) {
      OUT.hposition = mul( worldViewProjI, float4(IN.position.x ,IN.position.y ,IN.position.z, 1) ); 
    } else {
      OUT.hposition = float4(IN.position.x ,IN.position.y ,IN.position.z, 1);
    }    
    OUT.texture0 = IN.texture0;
    return OUT;
}
// ---------------------------------------------
technique Start
{
    pass p1  
    {
        VertexShader = compile vs_3_0 myvs();
        PixelShader = compile ps_3_0 main();
    }
}


